 <!DOCTYPE html>
<html>
<head>
  {% block head %}
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>{{ current_app.config['APPLICATION_NAME'] }} | {% block title %}{% endblock %}</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="/static/bower_components/bootstrap/dist/css/bootstrap.min.css">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="/static/bower_components/font-awesome/css/font-awesome.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="/static/dist/css/AdminLTE.css">
  <link rel="stylesheet" href="/static/dist/css/skins/skin-{{ current_app.config.APPLICATION_SKIN_COLOR }}.css">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>

  <![endif]-->
  <!-- Google Font -->
  <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
  {% endblock %}
</head>
<body class="hold-transition skin-{{ current_app.config.APPLICATION_SKIN_COLOR }} sidebar-mini sidebar">
<div class="wrapper">
   <header class="main-header">
    <!-- Logo -->
    <a href="/" class="logo">
      <!-- mini logo for sidebar mini 50x50 pixels -->
      <span class="logo-mini">{{ current_app.config['APPLICATION_SHORT_NAME'] }}</span>
      <!-- logo for regular state and mobile devices -->
      <span class="logo-lg">{{ current_app.config['APPLICATION_NAME'] }}</span>
    </a>

    <!-- Header Navbar: style can be found in header.less -->
    <nav class="navbar navbar-static-top">
      <!-- Sidebar toggle button-->
      <a href="#" class="sidebar-toggle" data-toggle="push-menu" id="sidebar-toggle" role="button">
        <span class="sr-only">Toggle navigation</span>
      </a>
      {% if current_user.is_authenticated %}
      <!-- Navbar Right Menu -->
      <div class="navbar-custom-menu">
        <ul class="nav navbar-nav">
          <!-- User Account: style can be found in dropdown.less -->
          <li class="dropdown user user-menu">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              <img src="/static/images/{{ current_user.avatar }}" class="user-image" alt="User Image">
              <span class="hidden-xs">{{ current_user.username }}</span>
            </a>
            <ul class="dropdown-menu">
              <!-- User image -->
              <li class="user-header">
                <img src="/static/images/{{ current_user.avatar }}" class="img-circle" alt="User Image">
                <p>
                  {{ current_user.first_name }} {{ current_user.last_name }}
                  <small>Last login: {{ moment(current_user.last_login).calendar() }}</small>
                </p>
              </li>
              <!-- Menu Body -->
              <li class="user-body">
                <div class="row">
                  <div class="col-xs-4 text-center">
                    {% if current_user.role == current_app.config.ADMIN_GROUP %}
                      <a href="/application/settings">Settings</a>
                    {% endif %}
                  </div>
                  <div class="col-xs-4 text-center">
                    <a href="/manager/profile">Profile</a>
                  </div>
                  <div class="col-xs-4 text-center">
                    {% if current_user.role == current_app.config.ADMIN_GROUP %}
                      <a href="/manager/users">Users</a>
                    {% endif %}
                  </div>
                </div>
                <!-- /.row -->
              </li>
              <!-- Menu Footer-->
              <li class="user-footer">
                <div class="pull-left">
                  {% if current_app.config.LDAP %}
                     <a href="{{ current_app.config.LDAP_PWM_URL }}" target="_blank" class="btn btn-default btn-flat">Change Password</a>
                  {% else %}
                    <a href="/auth/password-change" class="btn btn-default btn-flat">Change Password</a>
                  {% endif %}
                </div>
                <div class="pull-right">
                  <a href="/auth/logout" class="btn btn-default btn-flat">Sign out</a>
                </div>
              </li>
            </ul>
          </li>
          <!-- Control Sidebar Toggle Button -->
        </ul>
      </div>
      {% endif %}
    </nav>
  </header>
  <!-- Left side column. contains the logo and sidebar -->
  <aside class="main-sidebar">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">
      <!-- sidebar menu: : style can be found in sidebar.less -->
      <ul class="sidebar-menu" data-widget="tree">
        <li class="header">MAIN MENU</li>
        <li><a href="/application/dashboard"><i class="fa fa-tachometer"></i> <span>Dashboard</span></a></li>
        <li class="treeview">
          <a href="#">
            <i class="fa fa-line-chart"></i>
            <span>Sensors</span>
            <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
          </a>
          <ul class="treeview-menu">
            <li><a href="/sensors/mijia"><i class="fa fa-thermometer-half"></i>Mijia</a></li>
            <li><a href="/sensors/flora"><i class="fa fa-tree"></i>Flora</a></li>
          </ul>
        </li>
        <li class="treeview">
          <a href="#">
            <i class="fa fa-plug"></i>
            <span>Relays</span>
            <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
          </a>
          <ul class="treeview-menu">
            <li><a href="/relays/pirelays"><i class="fa fa-microchip"></i>Pi Relays</a></li>
            <li><a href=""><i class="fa fa-wifi"></i>RF 433 Mhz</a></li>
          </ul>
        </li>
        <li><a href="/cameras/feed"><i class="fa fa-video-camera"></i> <span>Cameras</span></a></li>
        <li><a href="/relays/schedule/add/new"><i class="fa fa-clock-o"></i></i> <span>Schedules</span></a></li>
        <li><a href="/tasks/list"><i class="fa fa fa-cogs"></i> <span>Tasks</span></a></li>
        <li><a href="/sensors/alerts"><i class="fa fa-exclamation-triangle"></i> <span>Alerts</span></a></li>
        <li><a href="/sensors/checks"><i class="fa fa-link"></i><span>Checks</span></a></li>
        {% if current_app.config.LOG_ENABLE  %}
          <li><a href="/manager/logs"><i class="fa fa-file-text-o"></i> <span>Logs</span></a></li>
        {%  endif %}
        <li><a href="https://github.com" target="_blank"><i class="fa fa-book"></i> <span>Documentation</span></a></li>
      </ul>
    </section>
    <!-- /.sidebar -->
  </aside>
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>{% block section %}{% endblock %}</h1>
    </section>
    <!-- Main content -->
    <section class="content">
      {% with messages = get_flashed_messages() %}
        {% if messages %}
          <div>
            {% for category, message in get_flashed_messages(with_categories=true) %}
              <div class="alert alert-{{category}} alert-dismissable">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                {{ message | safe }}
              </div>
            {% endfor %}
          </div>
        {% endif %}
      {% endwith %}
      <!-- Default box -->
      {% block content %}{% endblock %}
      <!-- /.box -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  {% block footer %}
    <footer class="main-footer">
      <div class="pull-right hidden-xs">
        <b>Version</b> {{ current_app.config.VERSION }}
      </div>
      <strong> Copyright &copy; {{ current_app.config.APPLICATION_NAME }} - </strong> {{ current_app.config.APPLICATION_BANNER }}
    </footer>
  {% endblock %}
  <!-- Add the sidebar's background. This div must be placed
       immediately after the control sidebar -->
  <div class="control-sidebar-bg"></div>

</div>
<!-- ./wrapper -->
{% block jquery %}
{{ moment.include_jquery() }}
{{ moment.include_moment() }}
{{ moment.lang(g.locale) }}
<!-- jQuery 3 -->
<script src="/static/bower_components/jquery/dist/jquery.min.js"></script>
<!-- Bootstrap 3.3.7 -->
<script src="/static/bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
<!-- FastClick -->
<script src="/static/bower_components/fastclick/lib/fastclick.js"></script>
<!-- SlimScroll -->
<script src="/static/bower_components/jquery-slimscroll/jquery.slimscroll.min.js"></script>
<!-- AdminLTE App -->
<script src="/static/dist/js/adminlte.min.js"></script>
{% endblock %}

</body>
</html>
